Gecode::FlatZinc::FZPrintingInspector< S > Class Template Reference

An inspector for printing simple text output. More...

## Public Member Functions

| FZPrintingInspector (const Printer &p0)
| Constructor.
virtual void | inspect (const Space &node)
| Use the print method of the template class S to print a space.
virtual void | finalize (void)
| Finalize when Gist exits.
Public Member Functions inherited from Gecode::Gist::TextOutput
| TextOutput (const std::string &name)
| Constructor.
void | finalize (void)
| Clean up when Gist exits.
virtual | ~TextOutput (void)
| Destructor.
virtual std::string | name (void)
| Name of the inspector.
Public Member Functions inherited from Gecode::Gist::Inspector
virtual std::string | name (void)
| Name of the inspector.
virtual | ~Inspector (void)
| Destructor.

## Additional Inherited Members

Protected Member Functions inherited from Gecode::Gist::TextOutput
void | init (void)
| Initialize the implementation object.
std::ostream & | getStream (void)
| Get the stream that is used to output text.
void | flush (void)
| Flush stream.
void | addHtml (const char *s)
| Add html text s to the output.

## Detailed Description

template<class S>
class Gecode::FlatZinc::FZPrintingInspector< S >

An inspector for printing simple text output.

Definition at line 1667 of file flatzinc.cpp.

## Constructor & Destructor Documentation

## FZPrintingInspector()

template<class S>

Gecode::FlatZinc::FZPrintingInspector< S >::FZPrintingInspector | ( | const Printer & | p0 | ) |

Constructor.

Definition at line 1681 of file flatzinc.cpp.

## Member Function Documentation

## inspect()

template<class S>

void Gecode::FlatZinc::FZPrintingInspector< S >::inspect | ( | const Space & | node | ) |

virtual

Use the print method of the template class S to print a space.

Implements Gecode::Gist::Inspector.

Definition at line 1686 of file flatzinc.cpp.

## finalize()

template<class S>

void Gecode::FlatZinc::FZPrintingInspector< S >::finalize | ( | void |  | ) |

virtual

Finalize when Gist exits.

Reimplemented from Gecode::Gist::Inspector.

Definition at line 1694 of file flatzinc.cpp.

The documentation for this class was generated from the following file:

- gecode/flatzinc/flatzinc.cpp